View Issue Details

IDProjectCategoryView StatusLast Update
0016420ScribusUser Interfacepublic2021-01-14 08:45
Reporterbubu Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.5.7.svn 
Target VersionFixed in Version1.5.7.svn 
Summary0016420: Unify margins and spacing for dialogs, set 1
DescriptionIn this patch I propose trivial margin and spacing changes for various dialogs. I will continue this work but I will separate it into smaller packages.

Please review it. Thanks.
TagsNo tags attached.
PatchNo

Relationships

child of 0013906 acknowledged Metabug: UI enhancement proposals (1.5.x.svn) 

Activities

bubu

2021-01-08 22:30

reporter  

0001-Unify-margins-and-spacing-for-dialogs-set-1.patch (6,804 bytes)
From b4b7324ebe81ac6ae360c68fafc395acabebbb1b Mon Sep 17 00:00:00 2001
Message-Id: <b4b7324ebe81ac6ae360c68fafc395acabebbb1b.1610144708.git.bubu@ujevangelizacio.hu>
From: =?UTF-8?q?Gyuris=20Gell=C3=A9rt?= <bubu@ujevangelizacio.hu>
Date: Fri, 8 Jan 2021 23:24:57 +0100
Subject: [PATCH] Unify margins and spacing for dialogs, set 1

---
 scribus/ui/actionsearchdialog.ui         | 12 +++++++++++
 scribus/ui/javadocs.cpp                  |  8 ++++----
 scribus/ui/marksmanager.ui               | 12 +++++++++++
 scribus/ui/measurementsbase.ui           | 12 +++++++++++
 scribus/ui/resourcemanagerbase.ui        | 12 +++++++++++
 scribus/ui/resourcemanagerlicensebase.ui | 12 +++++++++++
 scribus/ui/selectobjects.ui              | 26 +++++++++---------------
 7 files changed, 74 insertions(+), 20 deletions(-)

diff --git a/scribus/ui/actionsearchdialog.ui b/scribus/ui/actionsearchdialog.ui
index 7cb0ff344..a98214be2 100644
--- a/scribus/ui/actionsearchdialog.ui
+++ b/scribus/ui/actionsearchdialog.ui
@@ -14,6 +14,18 @@
    <string>Action Search</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <widget class="QLineEdit" name="filterLineEdit">
      <property name="placeholderText">
diff --git a/scribus/ui/javadocs.cpp b/scribus/ui/javadocs.cpp
index bc16e5272..eb5c97225 100644
--- a/scribus/ui/javadocs.cpp
+++ b/scribus/ui/javadocs.cpp
@@ -33,8 +33,8 @@ JavaDocs::JavaDocs(QWidget* parent, ScribusDoc *doc, ScribusView* vie) : QDialog
 	m_Doc = doc;
 	m_View = vie;
 	JavaDocsLayout = new QHBoxLayout(this);
-	JavaDocsLayout->setMargin(10);
-	JavaDocsLayout->setSpacing(5);
+	JavaDocsLayout->setContentsMargins(9, 9, 9, 9);
+	JavaDocsLayout->setSpacing(6);
 
 	Scripts = new QListWidget( this );
 	Scripts->setMinimumSize( QSize( 150, 200 ) );
@@ -44,8 +44,8 @@ JavaDocs::JavaDocs(QWidget* parent, ScribusDoc *doc, ScribusView* vie) : QDialog
 	JavaDocsLayout->addWidget( Scripts );
 
 	Layout1 = new QVBoxLayout;
-	Layout1->setMargin(0);
-	Layout1->setSpacing(5);
+	Layout1->setContentsMargins(0, 0, 0, 0);
+	Layout1->setSpacing(6);
 
 	EditScript = new QPushButton( tr( "&Edit..." ), this);
 	Layout1->addWidget( EditScript );
diff --git a/scribus/ui/marksmanager.ui b/scribus/ui/marksmanager.ui
index 871a61628..1f2459399 100644
--- a/scribus/ui/marksmanager.ui
+++ b/scribus/ui/marksmanager.ui
@@ -29,6 +29,18 @@
    <bool>false</bool>
   </property>
   <layout class="QGridLayout" name="gridLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item row="1" column="0">
     <widget class="QPushButton" name="UpdateButton">
      <property name="sizePolicy">
diff --git a/scribus/ui/measurementsbase.ui b/scribus/ui/measurementsbase.ui
index 8385dbd88..b74a156ba 100644
--- a/scribus/ui/measurementsbase.ui
+++ b/scribus/ui/measurementsbase.ui
@@ -14,6 +14,18 @@
    <string>Measurements</string>
   </property>
   <layout class="QGridLayout" name="gridLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item row="0" column="0">
     <widget class="QLabel" name="x1Label">
      <property name="text">
diff --git a/scribus/ui/resourcemanagerbase.ui b/scribus/ui/resourcemanagerbase.ui
index 4e4f0856e..6420251d1 100644
--- a/scribus/ui/resourcemanagerbase.ui
+++ b/scribus/ui/resourcemanagerbase.ui
@@ -14,6 +14,18 @@
    <string>Resource Manager</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout_5">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <layout class="QHBoxLayout" name="horizontalLayout">
      <item>
diff --git a/scribus/ui/resourcemanagerlicensebase.ui b/scribus/ui/resourcemanagerlicensebase.ui
index 9d18b8821..4f9287b93 100644
--- a/scribus/ui/resourcemanagerlicensebase.ui
+++ b/scribus/ui/resourcemanagerlicensebase.ui
@@ -14,6 +14,18 @@
    <string>License</string>
   </property>
   <layout class="QVBoxLayout" name="verticalLayout">
+   <property name="leftMargin">
+    <number>9</number>
+   </property>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
+   </property>
    <item>
     <widget class="QTextEdit" name="licenseTextEdit">
      <property name="documentTitle">
diff --git a/scribus/ui/selectobjects.ui b/scribus/ui/selectobjects.ui
index 9ff8d34d8..564558a74 100644
--- a/scribus/ui/selectobjects.ui
+++ b/scribus/ui/selectobjects.ui
@@ -23,11 +23,17 @@
    <bool>true</bool>
   </property>
   <layout class="QVBoxLayout">
-   <property name="spacing">
-    <number>5</number>
+   <property name="leftMargin">
+    <number>9</number>
    </property>
-   <property name="margin">
-    <number>10</number>
+   <property name="topMargin">
+    <number>9</number>
+   </property>
+   <property name="rightMargin">
+    <number>9</number>
+   </property>
+   <property name="bottomMargin">
+    <number>9</number>
    </property>
    <item>
     <widget class="QGroupBox" name="rangeGroup">
@@ -35,12 +41,6 @@
       <string>Select All Items</string>
      </property>
      <layout class="QHBoxLayout">
-      <property name="spacing">
-       <number>5</number>
-      </property>
-      <property name="margin">
-       <number>10</number>
-      </property>
       <item>
        <widget class="QRadioButton" name="buttonCurrentPage">
         <property name="toolTip">
@@ -92,12 +92,6 @@
       <bool>false</bool>
      </property>
      <layout class="QGridLayout">
-      <property name="margin">
-       <number>10</number>
-      </property>
-      <property name="spacing">
-       <number>5</number>
-      </property>
       <item row="0" column="0">
        <widget class="QCheckBox" name="useItemType">
         <property name="toolTip">
-- 
2.27.0

action_search.gif (9,829 bytes)
action_search.gif (9,829 bytes)
edit_javascripts.gif (12,621 bytes)
edit_javascripts.gif (12,621 bytes)
marks_manager.gif (12,212 bytes)
marks_manager.gif (12,212 bytes)
measurements.gif (13,336 bytes)
measurements.gif (13,336 bytes)
resource_manager.gif (92,649 bytes)
resource_manager.gif (92,649 bytes)
select_all_items.gif (36,056 bytes)
select_all_items.gif (36,056 bytes)

jghali

2021-01-09 14:04

administrator   ~0048659

Applied, thanks!

PeterBenedek

2021-01-14 08:40

developer   ~0048689

Last edited: 2021-01-14 08:45

View 2 revisions

Can you change default width of measurements windows? It's too small right now and this causes a problem (although this measurements tool is unusable in current state): 0015266

Issue History

Date Modified Username Field Change
2021-01-08 22:30 bubu New Issue
2021-01-08 22:30 bubu File Added: 0001-Unify-margins-and-spacing-for-dialogs-set-1.patch
2021-01-08 22:30 bubu File Added: action_search.gif
2021-01-08 22:30 bubu File Added: edit_javascripts.gif
2021-01-08 22:30 bubu File Added: marks_manager.gif
2021-01-08 22:30 bubu File Added: measurements.gif
2021-01-08 22:30 bubu File Added: resource_manager.gif
2021-01-08 22:30 bubu File Added: select_all_items.gif
2021-01-09 06:39 PeterBenedek Relationship added child of 0013906
2021-01-09 14:04 jghali Assigned To => jghali
2021-01-09 14:04 jghali Status new => resolved
2021-01-09 14:04 jghali Resolution open => fixed
2021-01-09 14:04 jghali Fixed in Version => 1.5.7.svn
2021-01-09 14:04 jghali Note Added: 0048659
2021-01-14 08:40 PeterBenedek Note Added: 0048689
2021-01-14 08:45 PeterBenedek Note Edited: 0048689 View Revisions